/*
 * Interface for personal dictionary
 */
#ifndef _dicutil_h_included_
#define _dicutil_h_included_

void dic_util_init();
void dic_util_set_personality(char *);
char *dic_util_get_anthydir();

void priv_dic_delete();
int priv_dic_select_first_entry();
int priv_dic_select_next_entry();
int priv_dic_select_entry(char *);

char *priv_dic_get_index(char *buf, int len);
int priv_dic_get_freq();
char *priv_dic_get_wtype(char *buf, int len);
char *priv_dic_get_word(char *buf, int len);

int priv_dic_add_entry(char *yomi, char *word, char *wt, int freq);

#endif
